Library Version 18.1.40

move
Prev | Chapter 26. DbstlElemTraits | Next

## move

### Function Details

    static T* move(T *seq1, const T *seq2,
        size_t cnt)

Sequence movement.

Move first cnt number of elements from seq2 to seq1, seq1 and seq2 may or may not overlap.

### Group: Interface compatible with std::string's char_traits.

Following are char_traits funcitons, which make this class char_traits compatiable, so that it can be used in std::basic_string template, and be manipulated by the c++ stl algorithms.

### Class

DbstlElemTraits

Prev | Up | Next
find | Home | to_char_type